/* applies to entire page */
html body {
	margin: 0;
	padding: 0;
	height: 100%;
	
	font-family: 'Roboto', sans-serif;
}

/*horizontal scroll bug */

@media (max-width: 576px) {
 .container {
    
   	overflow-x: hidden;
    
    }
 .container-fluid {
    
   	overflow-x: hidden;
    
    }
}
  

.row{
	margin-left: 0;
	margin-right: 0;

}
/* dividing line */
hr {
	width: 25%;
}

/* line in section name */

.line {
	width: 30px;
	height: 3px;
	background-color: #4b4b4b;
}


/*text*/

.text {
	color: #96939B;
	font-size: 0.8rem;
}
.text-spacing {
	letter-spacing: .3rem;
	font-size: .7rem;
	color: #4b4b4b;
}
.font-awesome {
	font-size: 1rem;
}
.font-awesome-lg {
	font-size: 2rem;
}
.text-title {
	font-weight: 800;
}
.signature {
	font-size: 1.5rem;
	font-family: 'Mr Dafoe', cursive;
}
.text-link {
	font-size: 1rem;
	color: #271D1D;
}
.text-small {
	color: #4b4b4b;
	font-size: 0.8rem;
}


/*links*/

a:hover {
	color: #96939B;
	text-decoration: none;
}
a {
	color: black;
}
/*background menu*/
.bg-menu {
	position: fixed;
	top: 0;
	width: 60px;
	background-color: #000000;
	right: 0;
	height: 100%;
	z-index: 1000;
	transition: all 0.3s linear;
}
.active {
	width: 50%;
	transition-delay: 0.2s;
}

@media (max-width: 768px) {
.bg-menu {
	width: 0;
	
	
}
.active {
	width: 80%;
}
}
/* logo */

.logo {
	position: absolute;
	top: 2%;
	left: 50%;
}
/*menu*/

.nav-menu {
	position: absolute;
	top: 50%;
	left: 130px;
	transform: translate(-50%, -50%);
	transition: all 0.2s;
}
.nav-menu.active {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.nav-menu ul li {
	list-style: none;
}
.nav-menu ul li a {
	text-decoration: none;
	color: #fff;
	font-size: 2rem;
	text-transform: uppercase;
}

@media (max-width: 768px) {
.nav-menu ul li a {
	font-size: 1.5rem;
}
}
.nav-menu li {
	opacity: 0;
	transform: translate(0, 10px);
	transition: all 0.1s;
}
.nav-menu.active li {
	opacity: 1;
	transform: translate(0, 0);
	transition: all 0.4s;
}
.nav-menu.active li:nth-child(1) {
	transition-delay: .5s;
}
.nav-menu.active li:nth-child(2) {
	transition-delay: .6s;
}
.nav-menu.active li:nth-child(3) {
	transition-delay: .7s;
}
.nav-menu.active li:nth-child(4) {
	transition-delay: .8s;
}
.nav-menu.active li:nth-child(5) {
	transition-delay: .9s;
}
.nav-menu.active li:nth-child(6) {
	transition-delay: 1s;
}
.nav-menu.active li:nth-child(7) {
	transition-delay: 1.1s;
}

/*open and close menu*/

.toggle {
	position: fixed;
	top: 50%;
	right: -22px;
	transform: translate(-50%);
	width: 50px;
	height: 50px;
	background-color: #271D1D;
	cursor: pointer;
	border-radius: 4px;
	box-shadow: 0.2px 5px rgba(0,0,0,.5);
	overflow: hidden;
	z-index: 1;
}

@media (max-width: 768px) {
.toggle {
	
	top: 2%;
	right: 0;
	
}
}
.toggle span {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(0deg);
	width: 30px;
	height: 2px;
	background-color: #FFFFFF;
	box-shadow: 0 -12px 0 #FFFFFF, 0 12px 0 #FFFFFF;
	transition-property: transform, box-shadow;
	transition-delay: 0s, 1s;
	transition-duration: 0.5s, 0.5s;
}
.toggle.active span {
	box-shadow: 50px -12px 0 #FFFFFF, -50px 12px 0 #FFFFFF;
	transform: translate(-50%, -50%) rotate(-315deg);
	transition-property: box-shadow, transform;
	transition-delay: 0s, 0.5s;
	transition-duration: 0.5s, 0.5s;
}
.toggle span:before {
	content: '';
	position: absolute;
	top: -50px;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 2px;
	height: 30px;
	background: #FFFFFF;
	transition: 0.5s;
	transition-delay: 0.5s;
}
.toggle.active span:before {
	top: 50%;
	transition-delay: 1s;
}
/*carousel*/

.carousel-control-next-icon {
	position: absolute;
	right: 50%;
}
/* service */

.bg-service {
	position: relative;
	background-image: url(../img/bg01.jpg);
	width: 100%;
	height: 360px;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}
/*counter*/

.stat {
	color: #FFFFFF;
}
.stat i {
	font-size: 1rem;
}
.stat-items h2 {
	font-weight: bold;
	font-size: 2rem;
}

/* service box text*/
.servicebox {
	padding: 20px 25px;
	border-radius: 5px;
	overflow: hidden;
	z-index: 1;
	position: relative;
}
.servicebox:before {
	content: "";
	width: 100%;
	height: 100%;
	border-radius: 5px;
	background: black;
	position: absolute;
	top: 0;
	left: -100%;
	z-index: -1;
	transition: all 0.5s ease 0s;
}
.servicebox:hover:before {
	left: 0;
}
.servicebox:after {
	content: "";
	width: 7px;
	height: 0;
	border-radius: 5px;
	background: #4b4b4b;
	position: absolute;
	top: 0;
	left: 0;
	transition: all .5s ease 0s;
}
.servicebox:hover:after {
	height: 100%;
}
.servicebox .service-icon {
	margin-bottom: 10px;
	transition: all 0.5s ease 0s;
}
.servicebox .service-icon i {
	font-size: 1rem;
	;
}
.servicebox .title {
	font-size: 1rem;
	font-weight: 500;
	display: inline-block;
	text-transform: uppercase;
	margin-right: 10px;
}
.servicebox .description {
	color: #96939B;
	font-size: 0.8rem;
	line-height: 25px;
	transition: all 0.5s ease 0s;
}
.servicebox:hover .service-icon, .servicebox:hover .description {
	color: white;
}

/*portfolio*/
.box-img {
	position: relayive;
	width: 100%;
	height: auto;
	cursor: pointer;
	overflow: hidden;
}
.img-portfolio {
	transition: all 2s ease;
}
.img-portfolio:hover {
	transform: scale(1.5);
}


/* footer */
.bg-footer {
	background-image: url(../img/footer.jpg);
	background-position: center;
	position: relative;
	bottom: 0;
	height: 100%;
}


/*form*/

::placeholder {
 color: #96939B;
 font-size: 0.8rem;
}
/*animation*/

.data-anime-left {
	opacity: 0;
	transform: translate3d(-50px, 0, 0);
	transition: .5s;
}
.data-anime-right {
	opacity: 0;
	transform: translate3d(50px, 0, 0);
	transition: .5s;
}
.data-anime-up {
	opacity: 0;
	transform: translate(0, 50px);
	transition: .5s;
}
.data-anime-down {
	opacity: 0;
	transform: translate(0, -50px);
	transition: .5s;
}
.animate {
	opacity: 1;
	transform: translate3d(0px, 0px, 0px);
	transform: translate(0, 0);
}
